Page MenuHomePhabricator

[Multi widget] Rules for updating the render windows
Open, LowPublic

Description

Do we need in any case a concept for updating the render windows other than by using RequestUpdateAll / ForceImmediateUpdateAll?

It may be possible to update only those render windows that currently show the same image as the topmost visible image.
It may also be possible to only update those render windows that are in any way semantically related, e.g. images of the same control point etc.

This is connected to the question, if we want to handle multiple rendering managers (e.g. one for each multi widget editor).

Event Timeline

kalali triaged this task as Normal priority.Apr 24 2018, 1:49 PM
kalali created this task.
kalali removed kalali as the assignee of this task.May 22 2018, 11:10 AM
kislinsk closed this task as Wontfix.May 26 2020, 11:16 AM
kislinsk claimed this task.
kislinsk added a project: Auto-closed.
kislinsk added a subscriber: kislinsk.

Hi there! 🙂

This task was auto-closed according to our Task Lifecycle Management.
Please follow this link for more information and don't forget that you are encouraged to reasonable re-open tasks to revive them. 🚑

Best wishes,
The MITK devs

kislinsk removed kislinsk as the assignee of this task.May 26 2020, 12:05 PM
kislinsk removed a subscriber: kislinsk.
kalali renamed this task from Rules for updating the render windows to [Multi widget] Rules for updating the render windows.May 28 2020, 12:15 PM
kalali reopened this task as Open.
kalali lowered the priority of this task from Normal to Low.
kalali removed a project: Auto-closed.
kalali added a project: Request for Discussion.